! Tests the initialization of the library. Specifically tests usage of
! SAVE and DATA statements and the use of and COMMON blocks.
!
! author:  J. Czechowski IV
! version: $Id: test_init.mm,v 1.1 2007/11/28 18:31:46 jxc Exp $
!
startmacro
  call test_init 1
  call test_init 2
  call test_init 3
endmacro

procedure test_init l:try
  info "Running test primitive, test number ^try"
  nxm.xbc.host.test_init/stat=status
  assert/text="Status of Fortran tests" status rexists and ^status eqs "PASS"
  rem status
return
